Subject: Re: strtoull()...
From: [email-masked] (Brendan Simon)

19 Jul 1998 23:57:47 -0700
Message-ID: <[email-masked]>
References: <c=AU%a=_%l=[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------3B8FB1204027EDC4920784C4"
To: CygWin32 <[email-masked]>

This is a multi-part message in MIME format.
--------------3B8FB1204027EDC4920784C4
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

The linux C library supports strtoull() & strtoll() functions.  I guess this is
part of glib.

Brendan Simon wrote:

> >
> >----------
> >From:  $Bill Luebkert
> >Sent:  Saturday, July 18, 1998 1:37:10 AM
> >To:    [email-masked]
> >Subject:       Re: FW: Missing strtoull()...
> >Auto forwarded by a Rule
> >
> Brendan Simon wrote:
> >
> > My guess is that long long & unsigned long long are not part of the ANSI C
> > standard.  GCC is the only compiler I've seen that supports that syntax so
> > I assume its a GCC extension to the C language to get 64 bits.
> > It would be nice to get a standard 64 bit type.  Does any one know if this
> > exists or if one has been proposed ?
>
> Haven't played with it in a couple of years, but Sun's
> Sparcworks/Proworks C
> compiler supports/supported long long.
>
> --
>   ,-/-  __      _  _         $Bill Luebkert   ICQ=14439852
>  (_/   /  )    // //       DBE Collectibles
>   / ) /--<  o // //      http://www.wgn.net/~dbe/
> -/-' /___/_<_</_</_    Mailto:[email-masked]
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".

--------------3B8FB1204027EDC4920784C4
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Brendan Simon
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Brendan Simon
n:              Simon;Brendan
org:            Big Bad Bren Inc.
adr:            469 Springvale Rd;;;Glen Waverly;Victoria;3150;Australia
email;internet: [email-masked]
title:          Design Engineer
tel;work:       +61 3 9886 0899
tel;fax:        +61 3 9886 0269
tel;home:       +61 3 9561 0817
note:           	
x-mozilla-cpt:  ;0
x-mozilla-html: TRUE
version:        2.1
end:            vcard

--------------3B8FB1204027EDC4920784C4--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".